package com.huatek.busi.dao;

import com.huatek.busi.entity.BusiCableCirculationIncreaseRateCache;
import com.huatek.busi.entity.BusiOfflineTransformerRepair;
import com.huatek.busi.entity.GisAssessmentResult;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

@Repository
public class BusiCableCirculationtemperIncreaseRateCacheDao extends BaseDao<BusiCableCirculationIncreaseRateCache, String> {

    public int saveOrUpdate(BusiCableCirculationIncreaseRateCache entity) {
        if(StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}
